How to use AND OR Logical Operators in AutoLISP

Поделиться
HTML-код
  • Опубликовано: 16 сен 2024
  • In this session you will learn how to use AND OR operators in AutoLISP programming.

Комментарии • 18

  • @msakdreams6374
    @msakdreams6374 2 года назад

    Thank you so much sir. This is the most organized playlist of AutoLISP. Keep up the good work please.

  • @sohailakbar1157
    @sohailakbar1157 2 года назад +1

    Need to know about programing to understand this tutorial but nice work keep it up

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      Please watch complete play list. You can understand autolisp.

  • @shital1112
    @shital1112 Год назад

    Sir, i see all videos, please make more it's very useful....

    • @cyberCADsolutions
      @cyberCADsolutions  Год назад

      Thank you. Please share to your friends and colleagues.

    • @shital1112
      @shital1112 Год назад

      @@cyberCADsolutions yes i already shared..

  • @-COmPrakashYadav
    @-COmPrakashYadav 2 года назад +1

    Very excellent explanation sir..🙏

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      Thank you. Please share to your friends and colleagues.

  • @vuquockhanh6414
    @vuquockhanh6414 2 года назад +1

    I like this video 👍

  • @resakali4438
    @resakali4438 2 года назад

    sir I am a beginner in AutoLISP. can I use this program to make automation programs in 3d softwares like creo or inventor?

  • @cyberCADsolutions
    @cyberCADsolutions  2 года назад +1

    ; Program to find the biggest of given three numbers using And
    (defun c:big(/ a b c)
    (setq a(getint "
    Enter first number:")
    b(getint "
    Enter second number:")
    c(getint "
    Enter third number:")
    )
    (cond
    ((and (> a b) (> a c))(alert (strcat (itoa a) " is big")))
    ((and (> b a) (> b c))(alert (strcat (itoa b) " is big")))
    (t (alert (strcat (itoa c) " is big")))
    );cond
    );end
    ; Program to draw a circle around the text whose color is 2 OR 3
    (defun c:ct(/ sset1 sslen counter e edb pt c)
    (if (setq sset1 (ssget "x" (list (cons 0 "*text"))))
    (progn
    (setq sslen(sslength sset1)
    counter 0
    )
    (while (< counter sslen)
    (setq e(ssname sset1 counter)
    edb(entget e)
    pt(cdr (assoc 10 edb))
    c(cdr (assoc 62 edb))
    )
    (if (or (= c 2) (= c 3))
    (entmake (list (cons 0 "circle")(cons 10 pt)(cons 40 2.0)(cons 62 c)))
    )
    (setq counter (1+ counter))
    );while
    );progn
    );if
    );end

    • @angeldemesa2379
      @angeldemesa2379 2 года назад

      Sir, request again, the different using of y, x, z USC World. Hoping for a video🥰

  • @civiladda5979
    @civiladda5979 2 года назад

    sir I want to learn from beginning & brief about autoloap, can have any full tutorials please

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      AutoLISP Programming in AutoCAD: ruclips.net/p/PL-Uk9_AI5M32ZYUArh8ha9Dvujpn1WTUf

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      AutoLISP Programming in AutoCAD: ruclips.net/p/PL-Uk9_AI5M32ZYUArh8ha9Dvujpn1WTUf

  • @resakali4438
    @resakali4438 2 года назад

    sir i am a beginer in autolisp programming.i had a problem in autolisp console window. it is automatically shutdown shortly while its operation.

    • @cyberCADsolutions
      @cyberCADsolutions  2 года назад

      If the program wants to show graphic area, it will close console windows.